Page MenuHomePhabricator

Allow Lua console on protected module pages
Closed, ResolvedPublic

Description

When trying to edit a protected page in the Module namespace, Lua debugging console is not shown, even though it could be useful to test the protected module. See e.g. en:Module:Arguments (when not logged in as an enwiki admin, obviously.

There is a trivial workaround of editing any other (even nonexisting) page in the module namespace and starting the console session with some local m = require("Module:TheProtectedModule"), but why not make it easier?

Event Timeline

Mormegil created this task.Mar 25 2015, 4:11 PM
Mormegil raised the priority of this task from to Needs Triage.
Mormegil updated the task description. (Show Details)
Mormegil added a subscriber: Mormegil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 4:11 PM
Anomie added a subscriber: Anomie.Mar 25 2015, 4:53 PM

This used to be blocked by the lack of a hook in Core to do so, but now that we have 'EditPage::showReadOnlyForm:initial' it should be reasonably easy. Although the code in modules/ext.scribunto.edit.js would need to be able to handle not having any "mw-scribunto-console" div injected into the page text.

Aklapper triaged this task as Low priority.Mar 26 2015, 1:43 PM

Change 200172 had a related patch set uploaded (by Mormegil):
Allow Lua console on protected module pages

https://gerrit.wikimedia.org/r/200172

Change 200172 merged by jenkins-bot:
Allow Lua console on protected module pages

https://gerrit.wikimedia.org/r/200172

Anomie closed this task as Resolved.Mar 30 2015, 3:40 PM
Anomie assigned this task to Mormegil.
Anomie set Security to None.

Should be deployed to WMF wikis with 1.25wmf24, see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap for the schedule.